package com.care.common.vo.station;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@ApiModel(value = "服务站信息", description = "")
public class CareStationVO implements Serializable {
    private static final long serialVersionUID = 278407010051454823L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("机构ID")
    private Long orgId;


    @ApiModelProperty("服务站名称")
    private String name;


    @ApiModelProperty("服务站简称")
    private String shortName;

    @ApiModelProperty("服务站编码")
    private String code;

    @ApiModelProperty("负责人")
    private String director;


    @ApiModelProperty("联系电话")
    private String phone;


    @ApiModelProperty("地址")
    private String addr;


    @ApiModelProperty("经度")
    private Double longitude;


    @ApiModelProperty("纬度")
    private Double latitude;

    @ApiModelProperty("简介")
    private String introduction;

    @ApiModelProperty("服务设备数量")
    private Integer devCount;

    @ApiModelProperty("createTime")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    private Date modifyTime;

}
