package com.care.operate.service;


import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.care.common.entity.CareDevice;
import com.care.common.entity.CareStation;
import com.care.common.service.CareDeviceService;
import com.care.common.service.CareStationService;
import com.care.common.vo.PageReqVO;
import com.care.common.vo.UserLogindConvertVO;

import com.care.common.vo.station.CareStationVO;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * @Author: lilt
 * @Date: 2021/7/14
 * @Desc:
 */
@Service
public class OpStationService {
    @Resource
    private CareStationService careStationService;
    @Resource
    private CareDeviceService careDeviceService;
    /**
     * 查询服务站列表
     * @return
     */
    public IPage<CareStationVO> listCareStation(String name, UserLogindConvertVO loginUser, PageReqVO pageReqVo) {
        IPage<CareStation> page = new Page<>(pageReqVo.getCurrent(), pageReqVo.getPageSize());
        QueryWrapper<CareStation> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().like(StrUtil.isNotEmpty(name),CareStation::getName,name)
                .eq(CareStation::getOrgId,loginUser.getOrgId())
                .orderByAsc(CareStation::getName);

        IPage<CareStation> pageRes = this.careStationService.page(page, queryWrapper);
        IPage<CareStationVO> results = new Page<>(pageRes.getCurrent(),pageRes.getSize(),pageRes.getTotal());
        if(CollUtil.isNotEmpty(pageRes.getRecords())){
            List<CareStationVO> list = new ArrayList<>();
            pageRes.getRecords().forEach(item -> {
                CareStationVO  resVO = new CareStationVO();
                BeanUtils.copyProperties(item,resVO);
                //服务设备数量
                QueryWrapper<CareDevice> queryWrapper1 = new QueryWrapper<>();
                queryWrapper1.lambda().eq(CareDevice::getOrgId,loginUser.getOrgId());
                resVO.setDevCount(this.careDeviceService.count(queryWrapper1));
                list.add(resVO);
            });
            results.setRecords(list);
        }
        return results;
    }

}
